Skip to main content
PUT
/
6
/
{hashid}
/
stats
/
cart
/
{session_id}
Add to cart
curl --request PUT \
  --url https://{search_zone}-search.doofinder.com/6/{hashid}/stats/cart/{session_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "index": "<string>",
  "title": "<string>"
}
'
{
  "status": "registered"
}

Authorizations

Authorization
string
header
required

Doofinder API key. Pass it as: Authorization: Token <api_key>

Path Parameters

hashid
string
required

Unique id of a search engine.

session_id
string
required

The current session ID, must be unique for each user. Identifier of search session

Maximum string length: 32

Body

application/json
id
string
required

id of the item to be added/removed

index
string
required

Name of the indice the item belongs to. i.e. "product"

title
string
required

The title that describe the item. Usually, the title of item's page.

Response

OK

Response returned over register stat operation.

status
string

Result of the stats request. i.e. 'registered'